Package org.snpsift

# Class SnpSiftCmdPrivate

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdPrivate

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine`, `org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdPrivate extends SnpSift
Annotate if a variant is 'private'. I.e. only represented within a family (or group)

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpsift.SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdPrivate()`
`SnpSiftCmdPrivate(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`annotate(org.snpeff.vcf.VcfEntry ve)`
Parse a single VCF entry
`boolean`
`annotateInit(org.snpeff.fileIterator.VcfFileIterator vcfFile)`
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run annotations
`List<org.snpeff.vcf.VcfEntry>`
`run(boolean createList)`
Run annotations.
`void`
`usage(String msg)`
Show usage message

### Methods inherited from class org.snpsift.SnpSift

`addHeaders, annotateFinish, cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, getOutput, headers, init, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpSiftCmdPrivate

public SnpSiftCmdPrivate()

### SnpSiftCmdPrivate

public SnpSiftCmdPrivate(String[] args)

## Method Details

### annotate

public boolean annotate(org.snpeff.vcf.VcfEntry ve)
Parse a single VCF entry

Specified by:
  `annotate` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `annotate` in class `SnpSift`

### annotateInit

public boolean annotateInit(org.snpeff.fileIterator.VcfFileIterator vcfFile)

Specified by:
  `annotateInit` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `annotateInit` in class `SnpSift`

### parseArgs

public void parseArgs(String[] args)
Description copied from class: `SnpSift`
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### run

public boolean run()
Run annotations

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`

### run

public List<org.snpeff.vcf.VcfEntry> run(boolean createList)
Run annotations. Create a list of VcfEntries if 'createList' is true (use for test cases)

### usage

public void usage(String msg)
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`